package com.logicbig.example;


import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@WebServlet(name = "appServlet", urlPatterns = "/app/*")
public class MyAppServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        String requestURI = req.getRequestURI();
        if (requestURI.endsWith("test")) {
            throw new RuntimeException("test exception from "+requestURI);
        } else if (requestURI.endsWith("test2")) {
            throw new ServletException("test servlet exception");
        } else {
            resp.getWriter().println("Response from appServlet at " + requestURI);
        }
    }
}