package com.logicbig.example;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(name = "runtime-handler-servlet", urlPatterns = "/runtimeExceptionHandler")
public class RuntimeExceptionServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {

        resp.setContentType("text/html");
        PrintWriter writer = resp.getWriter();
        writer.write("<h2>RuntimeException</h2>");

        String requestUri = (String) req.getAttribute(RequestDispatcher.ERROR_REQUEST_URI);
        writer.write("request uri: " + requestUri);
        Integer code = (Integer) req.getAttribute(RequestDispatcher.ERROR_STATUS_CODE);
        writer.write("<br>status code: " + code);
        String errorMessage = (String) req.getAttribute(RequestDispatcher.ERROR_MESSAGE);
        writer.write("<br>error message: " + errorMessage);
        writer.write("<br>Response from "+this.getClass());
    }
}